/*
 * RLSInit.h
 *
 *  Created on: Nov 8, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef RLSINIT_H_
#define RLSINIT_H_

/** \addtogroup RLSInversion RLS Inversion
 *  @ingroup Inversions
 *  @{
 */

InversionData *RLSInit1d(InputParms inputParms, char *commandLineOutputDir, bool debug);
InversionData *RLSInit3d(InputParms inputParms, char *commandLineOutputDir, bool debug);

void RLSNextParameter1d(InversionData *inversionData);

void RLSNextParameter3d(InversionData *inversionData);

bool RLSMoreParameterSteps(InversionData *inversionData);

void RLSInvert1d(InversionData *inversionData);

void RLSComplete1d(InversionData *inversionData);

void RLSInvert3d(InversionData *inversionData);

void RLSComplete3d(InversionData *inversionData);

void RLSDestroy1d(InversionData *inversionData);

void RLSDestroy3d(InversionData *inversionData);

/** @} */

#endif /* RLSINIT_H_ */
