/*
 * RLSInvert.c
 *
 *  Created on: Apr 16, 2010
 *      Author: Brenda Javornik (e-mail: brendaj (at) nwra.com)
 */

#ifndef RLSINVERT_H_
#define RLSINVERT_H_

#include <stdlib.h>
#include <string.h>
#include "matrix.h"
#include "averagingKernel.h"
#include "lambda.h"
#include "errorHandler.h"
#include "ProblemDimension.h"
#include "utilities.h"

/** \addtogroup RLSInversion
 *  @{
 */

int tdSetup1d(MATRIX aM, MATRIX ad, MATRIX aR, MATRIX aCI, MATRIX aC);

int tdSetup3d(MATRIX aM, MATRIX ad, MATRIX aR, MATRIX aCI, MATRIX aC);

void tdinvert1dFinish(Float lambda, int nStep, Model *model, bool debug, BaseDirectory *debugFilename);

void tdinvert3dFinish(Float lambda, TempData *tempData, bool debug, BaseDirectory *debugFilename);

void tdCleanup();

/** @} */

#endif /* RLSINVERT_H_ */
